Bug 1621441 - Change VMware URI to connect directly to ESXi
Summary: Change VMware URI to connect directly to ESXi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Greg McCullough
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On: 1618717
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-23 15:54 UTC by Satoe Imaishi
Modified: 2018-11-05 13:58 UTC (History)
5 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1618717
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC

Comment 2 CFME Bot 2018-09-17 20:22:45 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/25f3a0adaba7a783af7cc87aa3b5a067ce730a5b
commit 25f3a0adaba7a783af7cc87aa3b5a067ce730a5b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Aug 20 19:00:51 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Aug 20 19:00:51 2018 -0400

    Merge pull request #405 from fdupont-redhat/v2v_change_vmware_uri

    Change VMware URI to connect directly to ESXi
    (cherry picked from commit 154c82f26d6392496531e794bb2752d5c55b6c3e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1621441

 content/automate/ManageIQ/Transformation/Infrastructure/VM/vmwarews.class/__methods__/utils.rb | 8 +-
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/utils.rb | 10 +-
 2 files changed, 7 insertions(+), 11 deletions(-)

Comment 3 Yadnyawalk Tale 2018-10-02 11:58:21 UTC
Fixed! Migration works well with changes. I did tested two thing here,
1. If mentioned code added into ruby methods automate domain
2. Does migration works with and without vmware host credential 
(After this patch, IMS needs vmware host credentials to be added always)

Please note I did not tested large transformations performance in parallel with esx change, rather I had only checked if that code present in automate domain and other stuff works with mentioned things.

Verified on: 5.9.5.0.20180927190514_e161d8f
Thanks!

Comment 5 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.